import { EditorView } from '@codemirror/view';
import type { Diagnostic } from '@codemirror/lint';
export type { MwConfig } from './mediawiki';
export declare class CodeMirror6 {
    #private;
    get textarea(): HTMLTextAreaElement;
    get view(): EditorView;
    /**
     * @param textarea 文本框
     * @param lang 语言
     * @param config 语言设置
     */
    constructor(textarea: HTMLTextAreaElement, lang?: string, config?: unknown);
    /**
     * 设置语言
     * @param lang 语言
     * @param config 语言设置
     */
    setLanguage(lang?: string, config?: unknown): void;
    /**
     * 开始语法检查
     * @param lintSource 语法检查函数
     */
    lint(lintSource?: (str: string) => Diagnostic[] | Promise<Diagnostic[]>): void;
    /** 立即更新语法检查 */
    update(): void;
    /** 保存至文本框 */
    save(): void;
    /** 添加扩展 */
    prefer(names: string[]): void;
    /** 设置缩进 */
    setIndent(indent: string): void;
}
