/**
 * @author pastakhov, MusikAnimal and others
 * @license GPL-2.0-or-later
 * @link https://gerrit.wikimedia.org/g/mediawiki/extensions/CodeMirror
 */
import { LanguageSupport } from '@codemirror/language';
export interface MwConfig {
    urlProtocols: string;
    tags: Record<string, true>;
    tagModes: Record<string, string>;
    functionSynonyms: [Record<string, string>, Record<string, string>];
    doubleUnderscore: [Record<string, string>, Record<string, string>];
}
/**
 * Gets a LanguageSupport instance for the MediaWiki mode.
 */
export declare const mediawiki: (config: MwConfig) => LanguageSupport;
export declare const html: (config: MwConfig) => LanguageSupport;
